=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2009-12-23 19:45:30 +0000
+++ m4/pandora_canonical.m4	2009-12-25 02:37:09 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.87])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.88])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   dnl Force dependency tracking on for Sun Studio builds

=== modified file 'm4/pandora_with_python.m4'
--- m4/pandora_with_python.m4	2009-09-22 21:56:03 +0000
+++ m4/pandora_with_python.m4	2009-12-25 02:37:09 +0000
@@ -15,8 +15,12 @@
   AC_ARG_WITH([python], 
     [AS_HELP_STRING([--with-python],
       [Build Python Bindings @<:@default=yes@:>@])],
-    [with_python=$withval], 
-    [with_python=yes])
+    [with_python=$withval
+     python_requested=$withval
+    ], 
+    [with_python=yes
+     python_requested=no
+    ])
 
   AS_IF([test "x$with_python" != "xno"],[
     AS_IF([test "x$with_python" != "xyes"],[PYTHON=$with_python])
@@ -24,5 +28,10 @@
     AC_PYTHON_DEVEL()
     AS_IF([test "x$pythonexists" = "xno"],[with_python="no"])
   ])
+  AS_IF([test "x$with_python" = "xno" -a "$python_requested" = "yes"],[
+    AC_MSG_ERROR([Python support was explicity requested, but Python support
+                  was not found. Please correct your build environment and try
+                  again])
+  ])
   AM_CONDITIONAL(BUILD_PYTHON, [test "$with_python" = "yes"])
 ])

=== modified file 'm4/pandora_with_python3.m4'
--- m4/pandora_with_python3.m4	2009-09-22 21:56:03 +0000
+++ m4/pandora_with_python3.m4	2009-12-25 02:37:09 +0000
@@ -17,7 +17,7 @@
     [AS_HELP_STRING([--with-python3],
       [Build Python3 Bindings @<:@default=yes@:>@])],[
         with_python3=$withval
-        python3_requested=yes
+        python3_requested=$withval
       ],[ 
         with_python3=yes
         python3_requested=no

